com.comtrade.ecm.engine.system

## Class Client

- java.lang.Object
- - com.comtrade.ecm.engine.config.AbstractConfigurable
  - - com.comtrade.ecm.engine.system.Client

- All Implemented Interfaces:
    Configurable, Mutable, Nameable

      public class Client
      extends AbstractConfigurable
      implements Nameable

  Configuration information regarding a "Client" (company that uses an application)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLanguageTag()`
    `java.lang.String` | `getName()` Returns "a name" of an object.
    `java.lang.String` | `getTitle()`
    `boolean` | `shouldfForceToLatin()` Should we always convert non-latin text to latin alphabet?
    `java.lang.String` | `toString()`
    `void` | `validate()` Validates an object

    - ### Methods inherited from class com.comtrade.ecm.engine.config.AbstractConfigurable

      `addErrorMessage, set`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.comtrade.ecm.engine.objects.Mutable

      `set`

- - ### Constructor Detail

    - #### Client

          public Client()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Nameable`
      Returns "a name" of an object.
      Specified by:
        `getName` in interface `Nameable`
      Returns:
        A "name" of an object

    - #### getTitle

          public java.lang.String getTitle()

    - #### shouldfForceToLatin

          public boolean shouldfForceToLatin()

      Should we always convert non-latin text to latin alphabet?
      Returns:
        true, if we should convert text to latin alphabet
        false, if we should leave texts in their original alphabet

    - #### getLanguageTag

          public java.lang.String getLanguageTag()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws ConfigurationException

      Description copied from interface: `Configurable`
      Validates an object
      Specified by:
        `validate` in interface `Configurable`
      Overrides:
        `validate` in class `AbstractConfigurable`
      Throws:
        `ConfigurationException` - if validation is not successful